Manage the business locations under your account.
List business locations
Returns all locations for the selected business.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
List business locations › Responses
Locations fetched successfully. Response message: Fetched locations!.
successmessageCreate a business location
Creates a new business location. The route expects at least the location name, address, and working hours, and can optionally purchase a number when combined with the required forwarding details.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Create a business location › Request Body
nameaddresstimezonegoogle_place_idcall_forwarding_numberpurchase_numberCreate a business location › Responses
Location created successfully. Response message: Business location created!.
successmessageGet business location details
Returns the selected business location.
path Parameters
idBusiness location UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get business location details › Responses
Location fetched successfully. Response message: Location fetched!.
successmessageDelete a business location
Deletes the selected business location when the business still has at least one remaining location and the billing rules allow deletion.
path Parameters
idBusiness location UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Delete a business location › Responses
Location deleted successfully. Response message: Location deleted!.
successmessagebodyUpdate a business location
Updates the selected location's details.
path Parameters
idBusiness location UUID.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Update a business location › Request Body
nameaddresstimezoneivr_linkPublic URL for the IVR menu prompt audio. When updated, the Twilio Studio flow is refreshed to pick up the new audio.
Update a business location › Responses
Location updated successfully. Response message: Business location updated!.
successmessagebody